Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICATT2.m	(revision 636)
@@ -1,7 +1,7 @@
-DICATT2 ;SFISC/GFT,XAK-DEFINING MULTIPLES ;9APR2007
- ;;22.0;VA FileMan;**89,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICATT2 ;SFISC/GFT,XAK-DEFINING MULTIPLES ;02:13 PM  24 Dec 2001
+ ;;22.0;VA FileMan;**89**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S T=$E(Z) G CHECK^DICATT:$D(DTOUT)
- F P="I","O","L","x" S:$P(O,U,2)[P Z=$P(Z,U)_P_U_$P(Z,U,2)
+ F P="I","O","L" S:$P(O,U,2)[P Z=$P(Z,U)_P_U_$P(Z,U,2)
 1 K DS S:$P(Z,U)'["K" V=W[";0"
  S P=0,N=DICL,DQ=4,DP=6,DQI=" S:$D(X) DINUM=+X",DREF=$F(O,DQI)-1=$L(O),DE(7,0)="NO",DG(7)="N"
@@ -21,19 +21,9 @@
  ;
 W S %=Z["L"+1 W !,"SHALL THIS TEXT NORMALLY APPEAR IN WORD-WRAP MODE" D YN^DICN
- G CHECK^DICATT:%<0 I % S Z=$P($TR(Z,"L"),U)_$E("L",%=2)_U G WINDOW
- W !,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT"
+ G CHECK^DICATT:%<0 I % S Z=$P($P(Z,"L")_$P(Z,"L",2),U)_$E("L",%=2)_U G G
+ W !?3,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT"
  W !?5,"SHOULD NORMALLY BE PRINTED OUT IN FULL LINES, BREAKING AT WORD BOUNDARIES."
  W !?2,"ANSWER 'NO' IF THE INTERNAL TEXT SHOULD NORMALLY BE PRINTED OUT"
  W !?5,"LINE-FOR-LINE AS IT STANDS.",! G W
- ;
- ;
-WINDOW S %=2-(Z["x"!'O) W !,"SHALL ""|"" CHARACTERS IN THIS TEXT BE TREATED LIKE ANY OTHER CHARACTERS" D YN^DICN
- G CHECK^DICATT:%<0 I % S Z=$P($TR(Z,"x"),U)_$E("x",%=1)_U G G
- W !,"ANSWER 'YES' IF THE INTERNALLY-STORED '"_F_"' TEXT MAY HAVE ""|"" CHARACTERS"
- W !?3,"IN IT (SUCH AS HL7 MESSAGES) THAT NEED TO DISPLAY EXACTLY AS THEY ARE STORED."
- W !,"ANSWER 'NO' IF THE INTERNAL TEXT SHOULD NORMALLY BE PRINTED OUT WITH ANYTHING"
- W !?3,"THAT IS DELIMITED BY ""|"" CHARACTERS INTERPRETED AS VARIABLE TEXT.",! G WINDOW
- ;
- ;
  ;
 X ;
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP0.m	(revision 636)
@@ -1,4 +1,4 @@
-DICOMP0 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;5NOV2007
- ;;22.0;VA FileMan;**6,76,114,144,152**;;Build 10
+DICOMP0 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;2DEC2006
+ ;;22.0;VA FileMan;**6,76,114,144**;;Build 5
  ;Per VHA Directive 2004-038, this routine should not be modified.
  N DICOMPI
@@ -6,5 +6,5 @@
 LIT I X?1"""".E1"""" S Y=0,%=$E(X,2,$L(X)-1) K:%[""" X "!(%[""" D @") Y S X=""""_$$CONVQQ^DILIBF(%)_"""" Q
 L S T=DLV,DICN=X
-TRY G M:'$D(J(T))!'$D(I(T)),M:+J(T)'=J(T),M:$G(^DD(J(T),.01,0))="",UP:$P(^(0),U,2)["W" S DIC="^DD("_J(T)_",",DG=$O(^DD(J(T),0,"NM",0))_" "
+TRY G M:'$D(J(T))!'$D(I(T)),M:+J(T)'=J(T),M:$D(^DD(J(T)))<9 S DIC="^DD("_J(T)_",",DG=$O(^DD(J(T),0,"NM",0))_" "
  S DIC("S")=$S(W="["!($E(I,M,M+1)="'[")!$D(DICMX):"I ",1:"S %=$P(^(0),U,2) I '%,%'[""m"",")_"$$SCREEN^DICOMP0"
  D DICS^DICOMPY:DUZ(0)'="@"
@@ -13,5 +13,5 @@
 N I $P(X,DG)="",X=DICN S X=$P(X,DG,2,9) G R
 NUMBER I X="NUMBER" S Y=.001,Y(0)=0 G D
-UP S T=T-1,X=DICN G M:T<0,TRY:$D(J(T)) F T=T-99:1 G TRY:'$D(J(T+1))
+ S T=T-1,X=DICN G M:T<0,TRY:$D(J(T)) F T=T-99:1 G TRY:'$D(J(T+1))
  ;
 A F D=M:1:$L(I)+1 Q:$F(X,$E(I,1,D))-1-D  S W=$E(I,D+1)
@@ -31,6 +31,5 @@
 S ;
  S %=DLV0,DG=W=":"&'$D(DPS(DPS,"$S"))
-OUT I D["O"&(D'["P"!'DG)!(D["V"&'$D(DPS(DPS,"FILE"))) D  Q
- .S X="$$EXTERNAL^DIDU("_T_","_DICN_","""","_X_")",DICO("DIERR")=1
+ I D["O"&(D'["P"!'DG)!(D["V"&'$D(DPS(DPS,"FILE"))) D DIMP^DICOMPZ("N C S Y="_X_",C="""_D_""" D:$D(^DD("_T_","_DICN_",0)) Y^DIQ") S X=X_" S X=Y" Q
 SET I D["S" S DG(%)=DG(%)+1,DG(%,DG(%))="$C(59)_$P($G(^DD("_T_","_DICN_",0)),U,3)",X="$P($P("_DQI_DG(%)_"),$C(59)_"_X_"_"":"",2),$C(59))"
  Q:D'["P"  S %Y=U_$P(Y(0),U,3),DICN=+$P(@(%Y_"0)"),U,2)
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMP1.m	(revision 636)
@@ -1,5 +1,5 @@
-DICOMP1 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;19JUNE2007
- ;;22.0;VA FileMan;**6,44,76,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICOMP1 ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;12:45 PM  9 Sep 2002
+ ;;22.0;VA FileMan;**6,44,76**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  F  Q:'$D(DPS(DPS,"ST"))  D DPS^DICOMPW S K=K+1,K(K)=X
  G 0:DPS
@@ -40,5 +40,5 @@
  S DICOMP="",DLV=DICO(1)
 Q I DICOMP'["S" S K=DICO(1) F  S K=$O(I(K)) Q:K=""  K I(K),J(K)
- I $D(X) S:$D(DICO("DIERR")) X="N DIERR "_X I $G(DICOMPQI) S X="N Y "_X
+ I $G(DICOMPQI),$D(X) S X="N Y "_X
 Y K Y I $D(DICO("RCR")) S Y=DICO("RCR")
  E  S Y=DLV_$E("W",$D(DPS("W")))_$S($G(DBOOL)=1:"B",$D(DATE)>9:"D",1:"")_$E("X",$D(DIM))_$E("L",$D(DICO(2)))
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DICOMPZ.m	(revision 636)
@@ -1,5 +1,5 @@
-DICOMPZ ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;9APR2007
- ;;22.0;VA FileMan;**6,76,114,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DICOMPZ ;SFISC/GFT-EVALUATE COMPUTED FLD EXPR ;05:07 PM  16 Jan 2003
+ ;;22.0;VA FileMan;**6,76,114**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 PRIOR ;from DICOMP -- PRIOR.. Functions get archived values
@@ -41,5 +41,4 @@
  S DICOMPXE="D,0))#2 "_DICOMPXE_" "_DICMX_" Q:'$D(D)  S D=D"_Y
  S DICOR=$$REF(T)_","_D_",",D="F D=0:0 S (D,D"_Y_")=$O("_DICOR
- I W=")",$D(DPS(DPS,"INTERNAL")) S D="S D=$G(DIWF) N DIWF S DIWF=D_""XL"" "_D ;**DI*22*152
  S %=+$P(DICOT,U,2)
  I $P($G(^DD(%,.01,0)),U,2)["W"!'$D(^DD(%,0,"IX","B",%,.01))
@@ -55,5 +54,5 @@
  ;
 CONTAINS N DICON
- S DICON=W="'",%=$E(I,M+DICON) I %=""!(W=")") S Y=0 Q
+ S DICON=W="'",%=$E(I,M+DICON) I %="" S Y=0 Q
  I DICOPS[% S DICOPS=% D R($E(I,M+DICON+1,999)) Q:'$D(Y)  D  Q
  .S DICOXR=$$DGI^DICOMP
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DID1.m	(revision 636)
@@ -1,5 +1,5 @@
-DID1 ;SFISC/XAK,JLT-STD DD LIST ;9APR2007
- ;;22.0;VA FileMan;**7,76,105,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DID1 ;SFISC/XAK,JLT-STD DD LIST ;1:53 PM  6 Mar 2002
+ ;;22.0;VA FileMan;**7,76,105**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S DJ(Z)=D0,DDL1=14,DDL2=32 G B
  ;
@@ -9,8 +9,5 @@
  D HD:$Y+6>IOSL Q:M=U  W !!,F(Z),",",DJ(Z)
  W ?(Z+Z+12),$P(N,U,1),?DDL2+4," "_$P(N,U,4)
- S X=$P(N,U,2)
-WP I X,$D(^DD(+X,.01,0)) S W=$P(^(0),U,2) I W["W" D
- .S X="WORD-PROCESSING #"_+X D  S X="(NOWRAP)" D:W["L"  S X="(IGNORE ""|"")" D:W["X"!(W["x")  S X="(UNEDITABLE)" D:W["I"  S X=""
- ..W:$L(X)+$X+5>IOM !?18 W "   ",X
+ S X=$P(N,U,2) I X,$D(^DD(+X,.01,0)) S W=$P(^(0),U,2) I W["W" W "   WORD-PROCESSING #",+X W:W["L" " (NOWRAP)" S X=""
  F W="BOOLEAN","COMPUTED","FREE TEXT","SET","DATE","NUMBER","POINTER","K","VARIABLE POINTER","p" I X[$E(W) D VP^DIDX:$E(W)="V" S:W="K" W="MUMPS" S:W="p" W="POINTER" W ?40," "_W G ND:M=U
  I +X S W=" Multiple" S W=W_" #"_+X D W G ND:M=U
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIL11.m	(revision 636)
@@ -1,11 +1,9 @@
-DIL11 ;SFISC/GFT-TURN PRINT FLDS INTO CODE ;5APR2007
- ;;22.0;VA FileMan;**152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DIL11 ;SFISC/GFT-TURN PRINT FLDS INTO CODE ;11/20/92  09:28
+ ;;22.0;VA FileMan;;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 DOWN ;
- I W>0,'$D(^DD(DP,+W,0)) Q  ;IN CASE FIELD IS GONE FOR SOME REASON!
- S DN=-6,DY(DM)=DY,DP(DM)=DP,DI(DM)=DI G F:W'>0 S X=^DD(DP,+W,0),DU=$P($P(X,U,4),";") S:+DU'=DU DU=""""_DU_""""
- S W=$P(W,","),DY="D"_(DIL-DIL0+1),DI=DI_","_DU_","_DY,%=":0 Q:$O("_DI_"))'>0 ",DP=+$P(X,U,2),M(DP)=1,D=$P("""""",U,+DU'=DU),D=" S I("_(DIL+1)_")="_D_DU_D_",J("_(DIL+1)_")="_DP,Y=" S "_DY_"=$O(^("_DY_"))"
-W I $P(^DD(DP,.01,0),U,2)["W" D:$P(^(0),U,2)["x"!($P(^(0),U,2)["X")  G P ;**DI*22*152**
- .S D=D_",D"_(DIL+1)_"=$G(DIWF) N DIWF S DIWF=D"_(DIL+1)_"_""X"""
+ S DN=-6,DY(DM)=DY,DP(DM)=DP,DI(DM)=DI G F:W'>0 S X=^DD(DP,+W,0),DU=$P($P(X,U,4),";",1) S:+DU'=DU DU=""""_DU_""""
+ S W=$P(W,C,1),DY="D"_(DIL-DIL0+1),DI=DI_C_DU_C_DY,%=":0 Q:$O("_DI_"))'>0 ",DP=+$P(X,U,2),M(DP)=1,D=$P("""""",U,+DU'=DU),D=" S I("_(DIL+1)_")="_D_DU_D_",J("_(DIL+1)_")="_DP,Y=" S "_DY_"=$O(^("_DY_"))"
+ G P:$P(^DD(DP,.01,0),U,2)["W"
  I DHT+1 F X=1:1 G P:X>DPP,DPP:+DPP(X)=DP!$D(DPP(X,DP))
 DPP S %=%_" X:$D(DSC("_DP_")) DSC("_DP_")",Y=Y_" Q:"_DY_"'>0" I $T,"@"[$P(DPP(X),U,4),$P(DPP(X),U,2)=0 S DPP(X,U)="" G R:$D(DPP(X,"F"))
@@ -22,7 +20,7 @@
 QT S Y=$F(X,"""",Y) I Y S X=$E(X,1,Y-1)_$E(X,Y-1,999),Y=Y+1 G QT
  S Y=" S I("_DIL_")="""_X_""",J("_DIL_")="_DP
- S X=" "_$P($P(W,U,4,99),";")
+ S X=" "_$P($P(W,U,4,99),";",1)
  S DY="D"_(DIL-DIL0),DI=DI_DY,DIL=DIL-1 I $P(W,U,3)="" S W=+W,Y=Y_X_" S D0=D(0) I D0>0" G D^DIL
- S %="I("_(DIL0-100)_",0)=D0" I X'[% S X=","_%_X
+ S %="I("_(DIL0-100)_",0)=D0" I X'[% S X=C_%_X
  I DHT=-1 D DREL^DIPZ1 G END
  F %=900:1 I '$D(^UTILITY($J,99,%)) S ^(%)="I 1 X:$D(DSC("_DP_")) DSC("_DP_") I  D T:$X>"_DG_" Q:'DN "_Y,Y=" S (DIXX,DIXX("_(DM+1)_"))="_%_X,W=+W D D^DIL K R(DX) Q
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F0.m	(revision 636)
@@ -1,5 +1,5 @@
-DINIT0F0 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;4APR2007
- ;;22.0;VA FileMan;**152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DINIT0F0 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;10:49 AM  30 Mar 1999
+ ;;22.0;VA FileMan;;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  D PRE^DINIT29P
  F I=1:2 S X=$T(ENTRY+I) G:X="" ^DINIT0F1 S Y=$E($T(ENTRY+I+1),5,999),X=$E(X,4,999),@X=Y
@@ -139,5 +139,5 @@
  ;;=.00104^1^1,1^e
  ;;^DIST(.403,.001,40,7,0)
- ;;=2.5^^4,2^^^1^8,78
+ ;;=2.5^^4,6^^^1^6,75
  ;;^DIST(.403,.001,40,7,1)
  ;;=Page 2.5
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DINIT0F5.m	(revision 636)
@@ -1,5 +1,5 @@
-DINIT0F5 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;9APR2007
- ;;22.0;VA FileMan;**76,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
+DINIT0F5 ;SFISC/MKO-DATA FOR FORM AND BLOCK FILES ;05:51 PM  23 Mar 2001
+ ;;22.0;VA FileMan;**76**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  F I=1:2 S X=$T(ENTRY+I) G:X="" ^DINIT0F6 S Y=$E($T(ENTRY+I+1),5,999),X=$E(X,4,999),@X=Y
  Q
@@ -144,9 +144,9 @@
  ;;=DICATT5^1
  ;;^DIST(.404,.00105,40,0)
- ;;=^.4044I^2^2
+ ;;=^.4044I^1^1
  ;;^DIST(.404,.00105,40,1,0)
  ;;=75^SHALL THIS TEXT NORMALLY APPEAR IN WORD-WRAP MODE^2^^WORD-WRAP
  ;;^DIST(.404,.00105,40,1,2)
- ;;=2,53^3^2,2
+ ;;=2,56^3^2,5
  ;;^DIST(.404,.00105,40,1,3)
  ;;=!M
@@ -154,5 +154,5 @@
  ;;=S Y=$E("YN",DICATT2["L"+1)
  ;;^DIST(.404,.00105,40,1,12)
- ;;=S DICATTMN="",DICATT2N="W"_$TR($G(DICATT2N),"WL")_$E("L",'X)
+ ;;=S DICATTMN="" S:'X DICATT2N="WL" I DUZ(0)="@",DICATT4="" S DDSSTACK=4
  ;;^DIST(.404,.00105,40,1,20)
  ;;=Y
@@ -167,26 +167,4 @@
  ;;^DIST(.404,.00105,40,1,21,4,0)
  ;;=it was entered.
- ;;^DIST(.404,.00105,40,2,0)
- ;;=76^SHALL "|" CHARACTERS IN THIS TEXT BE TREATED LIKE ANY OTHER CHARACTERS^2^^"|"
- ;;^DIST(.404,.00105,40,2,2)
- ;;=3,74^3^3,2
- ;;^DIST(.404,.00105,40,2,3)
- ;;=!M
- ;;^DIST(.404,.00105,40,2,3.1)
- ;;=S Y=$S(DICATT2["X"!(DICATT2["x")!(DICATT2=""):"Y",1:"N")
- ;;^DIST(.404,.00105,40,2,12)
- ;;=S DICATTMN="",DICATT2N="W"_$TR($G(DICATT2N),"WxX")_$E("x",X>0) I DUZ(0)="@",DICATT4="" S DDSSTACK=4
- ;;^DIST(.404,.00105,40,2,20)
- ;;=Y
- ;;^DIST(.404,.00105,40,2,21,0)
- ;;=^^4^4^2981120
- ;;^DIST(.404,.00105,40,2,21,1,0)
- ;;=Answer 'YES' if the internally-stored text may have "|" characters in it 
- ;;^DIST(.404,.00105,40,2,21,2,0)
- ;;=(such as HL7 messages) that need to display exactly as they are stored.
- ;;^DIST(.404,.00105,40,2,21,3,0)
- ;;=Answer 'NO' if the internal text should normally be printed out with
- ;;^DIST(.404,.00105,40,2,21,4,0)
- ;;=anything that is delimited by "|" characters interpreted as variable. 
  ;;^DIST(.404,.00106,0)
  ;;=DICATT6^1
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWP.m	(revision 636)
@@ -1,25 +1,5 @@
-DIWP ;SFISC/GFT-ASSEMBLE WP LINE ;10JUN2005
- ;;22.0;VA FileMan;**46,152**;Mar 30, 1999;Build 10
- ;Per VHA Directive 2004-038, this routine should not be modified.
- ;The DIWF variable contains a string of one-letter codes to control W-P output.
- ;"|" in DIWF means that "|"-windows are not to be evaluated, but are to be printed as
- ;     they stand.
- ;"X" means eXactly line-for-line, with "||" printed as "||"
- ;"W" in DIWF means that formatted text will be written out to
- ;     the current device as it is assembled.
- ;"N" means NOWRAP-- text is assembled line-for-line
- ;"R" means text will be assembled Right-justified
- ;"D" means text will be double-spaced
- ;"L" means internal line numbers appear at the left margin
- ;"C" followed by a number will cause formatting of text in a column
- ;     width specified by the number.
- ;"I" followed by a number will cause text to be indented that number
- ;     of columns.
- ;"?" means that, if user's terminal is available, "|"-windows that cannot
- ;     be evaluated will be asked from the user's terminal.
- ;"B" followed by number causes new page when output gets within that
- ;   number of lines from the bottom of the page (as defined by IOSL).
- ;   
- ;DIWTC is a Boolean -- Are we printing out in LINE MODE?
+DIWP ;SFISC/GFT-ASSEMBLE WP LINE ;12:15 PM  5 Jun 2000
+ ;;22.0;VA FileMan;**46**;Mar 30, 1999
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  S:'$L(X) X=" "
  S DIWTC=X[($C(124)_"TAB") S:'$D(DN) DN=1
@@ -29,6 +9,5 @@
  D NEW:DIWTC
 Z S Z=X?.P!DIWTC I X?1" ".E!Z S DIWTC=1 D NEW:DIWI]"" S DIWTC=Z
-DIW ;from RCR+5^DIWW
- I DIWF["X" S DIWTC=1,X=DIWX,DIWX="" D C G D ;**DI*22*152**  Leave line unaltered
+DIW ;
  S X=$P(DIWX,DIW,1) D C:X]"" S X=$P(DIWX,DIW,1),DIWX=$P(DIWX,DIW,2,999) G D:DIWX="" I $D(DIWP),X'?.E1" " D ST
  S X=$P(DIWX,DIW,1) I $P(X,"TAB",1)="" D TAB G N
Index: FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m
===================================================================
--- FOIAVistA/trunk/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m	(revision 631)
+++ FOIAVistA/tag/r/VA_FILEMAN-ARJT-DI-DD-DM-DT-%DT-%RCR/DIWW.m	(revision 636)
@@ -1,4 +1,4 @@
-DIWW ;SFISC/GFT-OUTPUT WP LINE ;5NOV2007
- ;;22.0;VA FileMan;**64,144,152**;Mar 30, 1999;Build 10
+DIWW ;SFISC/GFT-OUTPUT WP LINE ;02:59 PM  18 Apr 2002
+ ;;22.0;VA FileMan;**64,144**;Mar 30, 1999;Build 5
  ;Per VHA Directive 2004-038, this routine should not be modified.
  F I=0:1 G:$D(DN) QQ:'DN Q:$D(^UTILITY($J,"W"))<9  D T G:$D(DN) QQ:'DN D 0
@@ -48,5 +48,5 @@
  ;
 DIQ ;
- S DIWF=$E("N",C["L")_"W"_$E("|X",C["X"!(C["x")+1),DIWL=2,DIWR=IOM,X=O_":   " K ^UTILITY($J,"W")
+ S DIWF=$E("N",C["L")_"W|",DIWL=2,DIWR=IOM,X=O_":   " K ^UTILITY($J,"W")
  S W=0 F  D  S W=$O(@(D(DL-1)_"W)")) Q:W'>0!(S=0)  S X=^(W,0)
  .D ^DIWP
